<div id="bannerFournisseur">
    <div class="col-sm">
      <h3>Mis à jour du fournisseur</h3>
    </div>
  </div>
<br/>
<br/>
<br/>

<div class="container">
    <form (ngSubmit)="onSubmit()">
        <div class="form-group">
            <div class="input-group mb-2 mr-sm-2">
                <div class="input-group-prepend">
                    <div class="input-group-text"><i class="fa fa-user fa-lg"></i></div>
                </div>
                <input type="text" class="form-control" required [(ngModel)]="selectedFournisseur.nom" name="{{selectedFournisseur.nom}}">
            </div>
        </div>

        <br/>

        <div class="form-group">
            <div class="input-group mb-2 mr-sm-2">
                <div class="input-group-prepend">
                    <div class="input-group-text"><i class="fa fa-map-marker fa-lg"></i></div>
                </div>
                <input type="text" class="form-control" required [(ngModel)]="selectedFournisseur.adresse" name="{{selectedFournisseur.adresse}}">
            </div>
        </div>
        <br/>
        <div class="form-group">
            <select class="form-control" required [(ngModel)]="selectedFournisseur.ville" [ngModelOptions]="{standalone: true}">
                <option [ngValue]="selectedFournisseur.ville" hidden selected>{{ selectedFournisseur.ville.codePostal }} {{ selectedFournisseur.ville.nom }}</option>
                <option *ngFor="let ville of villes" [ngValue]="ville">{{ville.codePostal}} {{ville.nom}}</option>
            </select>
        </div>
        <br/>
        <div class="form-group">
            <div class="input-group mb-2 mr-sm-2">
                <div class="input-group-prepend">
                    <div class="input-group-text"><i class="fa fa-phone fa-lg"></i></div>
                </div>
                <input type="text" class="form-control" required [(ngModel)]="selectedFournisseur.numeroFixe" name="{{selectedFournisseur.numeroFixe}}" >
            </div>
        </div>

        <br/>
        <div class="form-group">
            <div class="input-group mb-2 mr-sm-2">
                <div class="input-group-prepend">
                    <div class="input-group-text"><i class="fa fa-mobile fa-lg" ></i></div>
                </div>
                <input type="text" class="form-control" required [(ngModel)]="selectedFournisseur.numeroPort" name="{{selectedFournisseur.numeroPort}}">
            </div>
        </div>

        <br/>
        <div class="form-group">
            <div class="input-group mb-2 mr-sm-2">
                <div class="input-group-prepend">
                    <div class="input-group-text"><i class="fa fa-envelope fa-lg"></i></div>
                </div>
                <input type="text" class="form-control" required [(ngModel)]="selectedFournisseur.email" name="{{selectedFournisseur.email}}">
            </div>
        </div>

        <br/>
        <button type="submit" class="btn btn-primary mb-2 pull-right">Enregistrer</button>
    </form>
</div>

